osd: XOsd_Layer Struct Reference

| osd Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XOsd_Layer Struct Reference
Osd_v4_0

The OSD core layer info structure. More...

## Data Fields
u16 | LayerType
| Type of the layer. More...
u16 | InstructionNum
| The Number of Instructions. More...
u16 | InstructionBoxEnable
| Instruction Box Enable. More...
u16 | InstructionLineEnable
| Instruction Line Enable. More...
u16 | InstructionTextEnable
| Instruction Text Enable. More...
u16 | ColorLutSize
| Color LUT Size. More...
u16 | ColorLutMemoryType
| Color LUT Memory Type. More...
u16 | FontNumChars
| Font: Number of characters. More...
u16 | FontWidth
| Font: Width. More...
u16 | FontHeight
| Font: Height. More...
u16 | FontBitsPerPixel
| Font: Number of bits per pixel. More...
u16 | FontAsciiOffset
| Font: ASCII offset of 1st character. More...
u16 | TextNumStrings
| Text: Number of Strings. More...
u16 | TextMaxStringLength
| Text: Maximum length of a String. More...

## Detailed Description

The OSD core layer info structure.

## Field Documentation

u16 XOsd_Layer::ColorLutMemoryType

Color LUT Memory Type.

u16 XOsd_Layer::ColorLutSize

Color LUT Size.

Referenced by XOsd_LoadColorLUTBank().

u16 XOsd_Layer::FontAsciiOffset

Font: ASCII offset of 1st character.

u16 XOsd_Layer::FontBitsPerPixel

Font: Number of bits per pixel.

Referenced by XOsd_LoadCharacterSetBank().

u16 XOsd_Layer::FontHeight

Font: Height.

Referenced by XOsd_LoadCharacterSetBank().

u16 XOsd_Layer::FontNumChars

Font: Number of characters.

Referenced by XOsd_LoadCharacterSetBank().

u16 XOsd_Layer::FontWidth

Font: Width.

Referenced by XOsd_LoadCharacterSetBank().

u16 XOsd_Layer::InstructionBoxEnable

Instruction Box Enable.

u16 XOsd_Layer::InstructionLineEnable

Instruction Line Enable.

u16 XOsd_Layer::InstructionNum

The Number of Instructions.

u16 XOsd_Layer::InstructionTextEnable

Instruction Text Enable.

u16 XOsd_Layer::LayerType

Type of the layer.

Referenced by XOsd_CreateInstruction(), XOsd_DisableLayer(), XOsd_EnableLayer(), XOsd_GetLayerAlpha(), XOsd_GetLayerDimension(), XOsd_GetLayerPriority(), XOsd_LoadCharacterSetBank(), XOsd_LoadColorLUTBank(), XOsd_LoadInstructionList(), XOsd_LoadTextBank(), XOsd_SetActiveBank(), XOsd_SetLayerAlpha(), XOsd_SetLayerDimension(), and XOsd_SetLayerPriority().

u16 XOsd_Layer::TextMaxStringLength

Text: Maximum length of a String.

Referenced by XOsd_LoadTextBank().

u16 XOsd_Layer::TextNumStrings

Text: Number of Strings.

Referenced by XOsd_CreateInstruction().